> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Creation Status



## OpenAPI

````yaml GET /v1/jobs/{creation_id}/status
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.haiper.ai
security:
  - bearerAuth: []
paths:
  /v1/jobs/{creation_id}/status:
    get:
      parameters:
        - name: creation_id
          in: path
          required: true
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreationStatus'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreationStatus:
      required:
        - status
      type: object
      properties:
        status:
          description: >-
            The status can be 'pending', 'processing', 'succeed', 'failed', or
            'post_processing'.
          type: string
        value:
          description: ''
          type: object
          properties:
            status:
              description: ''
              type: string
            progress:
              description: ''
              type: number
              format: float
    Error:
      required:
        - error
      type: object
      properties:
        message:
          type: string
        code:
          type: integer
          format: int32
        details:
          type: array
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````